## josm 0.0.svn19230+dfsg

=== debian/changelog ===
josm (0.0.svn19230+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Bump minimum required jmapviewer version to 2.22.
  * Drop svn-r19214.patch, included upstream.
  * Add patch to fix AppStream metadata issues.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 02 Oct 2024 15:37:32 +0200

josm (0.0.svn19207+dfsg-2) unstable; urgency=medium

  * Add upstream patch to fix copy/paste regression.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 09 Sep 2024 18:11:51 +0200

josm (0.0.svn19207+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Bump minimum required jmapviewer version to 2.21.
  * Update copyright file.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 Sep 2024 15:17:08 +0200
