## josm 0.0.svn19253+dfsg

=== debian/changelog ===
josm (0.0.svn19253+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Drop appstream.patch, applied upstream. Refresh remaining patches.
  * Demote openjfx to Recommends, RC buggy.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Nov 2024 06:02:38 +0100
