=== debian/control ===
--- 
+++ 
@@ -14,8 +14,7 @@
                libcommons-compress-java,
                libgettext-ant-tasks-java,
                libgettext-commons-java (>= 0.9.6),
-               libterm-readkey-perl,
-               openjfx
+               libterm-readkey-perl
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/josm
 Vcs-Git: https://salsa.debian.org/debian-gis-team/josm.git
@@ -29,10 +28,10 @@
          jmapviewer (>= 2.22),
          libcommons-compress-java,
          libgettext-commons-java (>= 0.9.6),
-         openjfx,
          proj-data,
          ${misc:Depends}
-Recommends: josm-l10n (= ${source:Version})
+Recommends: josm-l10n (= ${source:Version}),
+            openjfx
 Conflicts: josm-plugins
 Description: Editor for OpenStreetMap
  JOSM is an editor for OpenStreetMap (OSM) written in Java.
