## josm 0.0.svn19253+dfsg2

=== debian/changelog ===
josm (0.0.svn19253+dfsg2-1) unstable; urgency=medium

  * Use commons-compress sources from upstream sources JAR.
    (closes: #1087811)
  * Add libcommons-{io,lang3}-java to (build) dependencies.
  * Run gettext-extract only on JOSM sources, not dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 19 Nov 2024 16:46:27 +0100
