=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
                gettext,
                javacc,
                jmapviewer (>= 2.22),
-               libcommons-compress-java,
+               libcommons-io-java,
+               libcommons-lang3-java,
                libgettext-ant-tasks-java,
                libgettext-commons-java (>= 0.9.6),
                libterm-readkey-perl
@@ -26,7 +27,8 @@
 Depends: default-jre (>= 2:1.11) | java11-runtime,
          fonts-noto,
          jmapviewer (>= 2.22),
-         libcommons-compress-java,
+         libcommons-io-java,
+         libcommons-lang3-java,
          libgettext-commons-java (>= 0.9.6),
          proj-data,
          ${misc:Depends}
