## josm 0.0.svn19253+dfsg3

=== debian/changelog ===
josm (0.0.svn19253+dfsg3-1) unstable; urgency=medium

  * Use commons-{io,lang3} sources for commons-compress.
    Required versions not available in bookworm.
  * Update copyright file for Apache commons sources.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 25 Nov 2024 09:24:14 +0100
