## josm 0.0.svn19265+dfsg

=== debian/changelog ===
josm (0.0.svn19265+dfsg-1) unstable; urgency=medium

  * New tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Dec 2024 16:26:31 +0100
