=== debian/control ===
--- 
+++ 
@@ -11,8 +11,6 @@
                gettext,
                javacc,
                jmapviewer (>= 2.22),
-               libcommons-io-java,
-               libcommons-lang3-java,
                libgettext-ant-tasks-java,
                libgettext-commons-java (>= 0.9.6),
                libterm-readkey-perl
@@ -27,8 +25,6 @@
 Depends: default-jre (>= 2:1.11) | java11-runtime,
          fonts-noto,
          jmapviewer (>= 2.22),
-         libcommons-io-java,
-         libcommons-lang3-java,
          libgettext-commons-java (>= 0.9.6),
          proj-data,
          ${misc:Depends}
