## josm 0.0.svn19277+dfsg

=== debian/changelog ===
josm (0.0.svn19277+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 09 Jan 2025 05:26:50 +0100

josm (0.0.svn19277+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 03 Jan 2025 19:20:05 +0100

josm (0.0.svn19265+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 10 Dec 2024 08:40:36 +0100

josm (0.0.svn19253+dfsg3-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 30 Nov 2024 06:34:44 +0100

josm (0.0.svn19253+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Nov 2024 05:21:43 +0100

josm (0.0.svn19230+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 08 Oct 2024 05:36:08 +0200

josm (0.0.svn19207+dfsg-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Sep 2024 06:18:48 +0200

josm (0.0.svn19207+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 08 Sep 2024 06:44:35 +0200

josm (0.0.svn19160+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Aug 2024 06:46:24 +0200

josm (0.0.svn19128+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 12 Jul 2024 06:27:46 +0200

josm (0.0.svn19096+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 09 Jun 2024 17:37:12 +0200

josm (0.0.svn19067+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Add patch with commons-io 2.16.1 sources.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 May 2024 08:42:21 +0200

josm (0.0.svn19039+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 16 Apr 2024 06:59:58 +0200

josm (0.0.svn19017+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 24 Mar 2024 06:38:05 +0100

josm (0.0.svn18969+dfsg2-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 17 Mar 2024 06:31:41 +0100

josm (0.0.svn18969+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 12 Feb 2024 05:46:23 +0100

josm (0.0.svn18940+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Jan 2024 05:40:27 +0100

josm (0.0.svn18907+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Dec 2023 08:34:24 +0100

josm (0.0.svn18822+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 Sep 2023 05:30:52 +0200

josm (0.0.svn18789+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 Aug 2023 05:46:10 +0200

josm (0.0.svn18772+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Update branch in gbp.conf & Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 23 Jul 2023 14:43:29 +0200
