=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libterm-readkey-perl
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/josm
-Vcs-Git: https://salsa.debian.org/debian-gis-team/josm.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/josm.git -b bookworm-backports
 Homepage: https://josm.openstreetmap.de
 Rules-Requires-Root: no
