## josm 0.0.svn19307+dfsg

=== debian/changelog ===
josm (0.0.svn19307+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Bump minimum required jmapviewer version to 2.23.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 04 Feb 2025 15:34:58 +0100
