=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
                ant-contrib,
                gettext,
                javacc,
-               jmapviewer (>= 2.22),
+               jmapviewer (>= 2.23),
                libgettext-ant-tasks-java,
                libgettext-commons-java (>= 0.9.6),
                libterm-readkey-perl
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/josm
-Vcs-Git: https://salsa.debian.org/debian-gis-team/josm.git -b bookworm-backports
+Vcs-Git: https://salsa.debian.org/debian-gis-team/josm.git
 Homepage: https://josm.openstreetmap.de
 Rules-Requires-Root: no
 
@@ -24,7 +24,7 @@
 Architecture: all
 Depends: default-jre (>= 2:1.11) | java11-runtime,
          fonts-noto,
-         jmapviewer (>= 2.22),
+         jmapviewer (>= 2.23),
          libgettext-commons-java (>= 0.9.6),
          proj-data,
          ${misc:Depends}
