## josm 0.0.svn19342+dfsg

=== debian/changelog ===
josm (0.0.svn19342+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Bump minimum required jmapviewer version to 2.24.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 Mar 2025 17:37:15 +0100
