=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                ant-contrib,
                gettext,
                javacc,
-               jmapviewer (>= 2.23),
+               jmapviewer (>= 2.24),
                libgettext-ant-tasks-java,
                libgettext-commons-java (>= 0.9.6),
                libterm-readkey-perl
@@ -24,7 +24,7 @@
 Architecture: all
 Depends: default-jre (>= 2:1.11) | java11-runtime,
          fonts-noto,
-         jmapviewer (>= 2.23),
+         jmapviewer (>= 2.24),
          libgettext-commons-java (>= 0.9.6),
          proj-data,
          ${misc:Depends}
