## josm 0.0.svn19369+dfsg

=== debian/changelog ===
josm (0.0.svn19369+dfsg-2) unstable; urgency=medium

  * Add patch to not use openjfx unconditionally.
    (closes: #1107106)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Jun 2025 18:38:40 +0200

josm (0.0.svn19369+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Bump Standards-Version to 4.7.2, no changes.
  * Fix old FSF address in copyright file.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 31 Mar 2025 06:01:00 +0200
