=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libgettext-ant-tasks-java,
                libgettext-commons-java (>= 0.9.6),
                libterm-readkey-perl
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/josm
 Vcs-Git: https://salsa.debian.org/debian-gis-team/josm.git
 Homepage: https://josm.openstreetmap.de
