=== debian/rules ===
--- 
+++ 
@@ -91,6 +91,14 @@
 	@echo Extracting annotations sources from JAR
 	cd ${DESTDIR}/src && jar -xf /tmp/annotations-sources.jar org/jetbrains && cd $$OLDPWD
 	@echo Fetching revision metadata
+	@echo Downloading commons-io source JAR
+	wget https://repo1.maven.org/maven2/commons-io/commons-io/2.16.1/commons-io-2.16.1-sources.jar -O /tmp/commons-io-sources.jar
+	@echo Extracting commons-io sources from JAR
+	cd ${DESTDIR}/src && jar -xf /tmp/commons-io-sources.jar org/apache && cd $$OLDPWD
+	@echo Downloading commons-lang3 source JAR
+	wget https://repo1.maven.org/maven2/org/apache/commons/commons-lang3/3.16.0/commons-lang3-3.16.0-sources.jar -O /tmp/commons-lang3-sources.jar
+	@echo Extracting commons-lang3 sources from JAR
+	cd ${DESTDIR}/src && jar -xf /tmp/commons-lang3-sources.jar org/apache && cd $$OLDPWD
 	svn info --xml -r ${SVNREV} ${SVNREPO} > ${DESTDIR}/REVISION
 	@echo Fetching internalization data
 	svn export ${SVNI18NREPO} ${DESTDIR}/i18n
@@ -126,7 +134,7 @@
 	@echo Moving tarball to parent directory
 	mv -v ${DESTTGZ} ../
 	@echo Removing source JAR
-	rm -f /tmp/josm-sources.jar /tmp/xmpcore-sources.jar /tmp/annotations-sources.jar
+	rm -f /tmp/josm-sources.jar /tmp/xmpcore-sources.jar /tmp/annotations-sources.jar /tmp/commons-io-sources.jar /tmp/commons-lang3-sources.jar
 	@echo Removing tarballs directory
 	rmdir ../tarballs
 	@echo .
