## josm 0.0.svn19412+dfsg

=== debian/changelog ===
josm (0.0.svn19412+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Jun 2025 05:22:09 +0200

josm (0.0.svn19396+dfsg-1~exp2) experimental; urgency=medium

  * Add patch to not use openjfx unconditionally.
    (closes: #1107106)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Jun 2025 18:24:23 +0200

josm (0.0.svn19396+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Bump minimum required jmapviewer version to 2.25.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 02 May 2025 17:28:02 +0200
