## josm 0.0.svn19423+dfsg

=== debian/changelog ===
josm (0.0.svn19423+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Drop openjfx.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 12 Jul 2025 14:42:27 +0200
