## josm 0.0.svn19439+dfsg

=== debian/changelog ===
josm (0.0.svn19439+dfsg-1) unstable; urgency=medium

  * New tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Sep 2025 15:36:09 +0200

josm (0.0.svn19423+dfsg-1) unstable; urgency=medium

  * Mark josm-l10n as Multi-Arch: foreign.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Aug 2025 07:38:31 +0200
