=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libterm-readkey-perl
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/josm
-Vcs-Git: https://salsa.debian.org/debian-gis-team/josm.git -b experimental
+Vcs-Git: https://salsa.debian.org/debian-gis-team/josm.git
 Homepage: https://josm.openstreetmap.de
 Rules-Requires-Root: no
 
@@ -45,6 +45,7 @@
 
 Package: josm-l10n
 Architecture: all
+Multi-Arch: foreign
 Section: localization
 Depends: ${misc:Depends}
 Description: Editor for OpenStreetMap - translation files
