=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-
-export JAVA_HOME=/usr/lib/jvm/default-java
-export CLASSPATH=/usr/share/java/gettext-commons.jar:/usr/share/java/jsr305.jar:/usr/share/java/signpost-core.jar:/usr/share/java/jmapviewer.jar
 
 SVNREPO := https://josm.openstreetmap.de/svn/trunk
 SVNI18NREPO := https://josm.openstreetmap.de/osmsvn/applications/editors/josm/i18n
