## josm 0.0.svn19481+dfsg

=== debian/changelog ===
josm (0.0.svn19481+dfsg-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Feb 2026 06:22:55 +0100

josm (0.0.svn19481+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Feb 2026 07:23:12 +0100

josm (0.0.svn19439+dfsg-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Sep 2025 06:19:05 +0200

josm (0.0.svn19423+dfsg-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.
  * Update branch in gbp.conf & Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 26 Aug 2025 15:21:54 +0200
