=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: David Paleino <dapal@debian.org>,
            Bas Couwenberg <sebastic@debian.org>
 Section: utils
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                default-jdk (>= 2:1.11) | java11-sdk,
                ant,
@@ -14,11 +13,10 @@
                libgettext-ant-tasks-java,
                libgettext-commons-java (>= 0.9.6),
                libterm-readkey-perl
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/josm
-Vcs-Git: https://salsa.debian.org/debian-gis-team/josm.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/josm.git -b trixie-backports
 Homepage: https://josm.openstreetmap.de
-Rules-Requires-Root: no
 
 Package: josm
 Architecture: all
